TERMINAL(1)

NAME
Terminal - Um emulador de Terminal para o X

SINAPSE

Terminal [OPÇÃO...]

DESCRIçãO

Terminal é aquilo que é conhecido como um emulador de terminal para o X, vulgarmente referido como terminal ou shell. Oferece o equivalente ao antigo ecrã de texto no seu ambiente de trabalho, mas pode facilmente partilhar o ecrã com outras aplicações gráficas. Utilizadores Windows podem já estar familarizados com a linha de comandos MS-DOS, que tem a função de oferecer uma linha de comandos em Windows, contudo a interface em linha de comandos UNIX oferece de longe mais poder e facilidade de uso do que o DOS.

Terminal emula a aplicação xterm desenvolvida pelo Consórcio X. Por outro lado, a aplicação xterm emula o terminal DEC VT102 e também suporta as sequências de escape do DEC VT220. Uma sequência de escape é uma série de caracteres que iniciam com o caractere Esc. Terminal aceita todas as sequências que os terminais VT102 e VT220 usam para funções como a colocação do cursor e limpeza do ecrã.

OPçõES

  Resumo de Opções

Aqui está um resumo de todas as opções, agrupadas por tipo. As explicações estão nas secções seguintes.

Opções Gerais
    -h, --help; -V, --version; --disable-server; --default-display=mostrar; --default-working-directory=directório

Janela ou Separador
    --tab; --window

Opções de Separadores
    -x, --execute; -e, --command=comando; --working-directory=directório; -T, --title=título; -H, --hold

Opções de Janelas
    --display=mostrar; --geometry=geometria; --role=regra; --startup-id=texto; -I, --icon=ícone; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Opções Gerais

-h, --help
    Lista as diferentes opções de linha de comandos suportadas pelo Terminal e sai

-V, --version
    Mostra a informação de versão e sai

--disable-server
    Não registar com o bus de mensagem de sessão D-BUS

--default-display=mostrar
    Ecrã X a usar por omissão.

--default-working-directory=directório
    Definir directório como directório de trabalho omisso para o terminal

  Janela ou Separador

--tab
    Abrir um novo separador na última janela especificada; mais que uma destas opções pode ser fornecida.

--window
    Abrir uma nova janela contendo um separador; mais que uma destas opções pode ser indicada.

  Opções de Separadores

-x, --execute
    Executa o resto da linha de comandos dentro do terminal

-e, --command=comando
    Executar comando dentro do terminal

--working-directory=directório
    Definir directório como o directório de trabalho para o terminal

-T, --title=título
    Definir título como título inicial da janela de terminal

-H, --hold
    Manter o terminal activo depois do comando filho terminar

  Opções de Janelas

--display=mostrar
    Ecrã X a usar na última janela especificada

--geometry=geometria
    Define a geometria da última janela especificada a geometria. Leia X(7) para mais informações sobre a especificação da geometria das janelas.

--role=regra
    Define a regra da última janela especificada para regra. Aplica-se apenas a uma janela e pode ser especificada uma vez para cada janela que criar na linha de comandos. Usado principalmente para a gestão da sessão dentro do Terminal.

--startup-id=texto
    Define o id de notificação de inicialização para a última janela especificada. Usada internamente para seguir o mesmo id ao usar o serviço D-BUS.

-I, --icon=ícone
    Definir o ícone do terminal como um ícone ou o nome do ficheiro.

--fullscreen
    Define a última janela especificada para o modo ecrã inteiro; aplica-se apenas para uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

--maximize
    Coloca a última janela especificada no modo maximizado; aplica-se apenas a uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-menubar
    Liga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--hide-menubar
    Desliga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-borders
    Liga as decorações das janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--hide-borders
    Desliga as decorações de janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-toolbars
    Liga a barra de ferramentas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--hide-toolbars
    Desliga a barra de ferramentas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

EXEMPLOS

Terminal --geometry 80x40 --command mutt --tab --command mc
    Abre uma nova janela de terminal com uma geometria de 80 colunas, 40 linhas e 2 separadores, na qual a primeira executa o comando mutt e o segundo executa o comando mc.

AMBIENTE

Terminal usa a Especificação Basedir como definida em Freedesktop.org[1] para localizar os seus ficheiros de dados e configuração. Isto significa que as localizações de ficheiros serão especificadas como caminhos relacionados com os directórios descritos na especificação.

${XDG_CONFIG_HOME}
    O primeiro directório para procurar os ficheiros de configuração. Por omissão, está definido para ~/.config/.

${XDG_CONFIG_DIRS}
    Uma lista separada por dois pontos de directórios base contendo os dados da configuração. Por omissão, a aplicação irá procurar em ${sysconfdir}/xdg/. O valor de ${sysconfdir} depende do modo como o programa foi compilado e costuma ser /etc/ para pacotes binários.

${XDG_DATA_HOME}
    A raiz de todo os ficheiros de dados específicos do utilizador. Por omissão, é ~/.local/share/.

${XDG_DATA_DIRS}
    Uma lista de directórios base ordenados de preferências onde os ficheiros de dados devem ser procurados em adição ao directório ${XDG_DATA_HOME}. Estes directórios devem ser separados com dois pontos.

FICHEIROS

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Esta é a localização do ficheiro de configuração que inclui as preferências que controlam a aparência e comportamento do Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Este ficheiro inclui a definição da interface de utilizador para a barra de ferramentas. Se personalizar a barra de ferramentas usando o editor gráfico de barra de ferramentas, o Terminal irá armazenar a nova disposição das barra de ferramentas no ficheiro ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

VEJA TAMBéM

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Programador

Benedikt Meurer <benny@xfce.org>
Programador de software, os-cillation, Desenvolvimento do sistema,
    Programador

NOTES

1.  Freedesktop.org
    http://freedesktop.org/